// Checks that `impl trait` works, with docs.

use impl_trait::impl_trait;

struct Foo;
trait Bar {
}

impl_trait! {
    /// Test docs
    impl Foo {
        impl trait Bar {
        }
    }
}

fn static_assert<T: Bar>(_t: T) {}

fn main() {
    static_assert(Foo);
}
